#!/bin/bash

mode=$(cat /root/.func/gatewaymode)
if [ "$mode" = "pkt" ]
then
	/root/lora/packet_forwarder/lora_pkt_fwd/lora_pkt_fwd -c /root/lora/packet_forwarder/lora_pkt_fwd/global_conf.json
else
	trust_mode=$(cat /root/.func/trust_mode)
	mode=$(cat /root/.func/basic_type)
	
  if [ "$mode" = "lns" ]
  then
    rm /root/basicstation/examples/corecell/lns-ttn/cups.uri
    cp /root/basicstation/examples/corecell/lns-ttn/server_uri /root/basicstation/examples/corecell/lns-ttn/tc.uri
  else
    rm /root/basicstation/examples/corecell/lns-ttn/tc.uri
    cp /root/basicstation/examples/corecell/lns-ttn/server_uri /root/basicstation/examples/corecell/lns-ttn/cups.uri
  fi
		
	if [ "$trust_mode" = "" ]
	then
		rm /root/basicstation/examples/corecell/lns-ttn/tc.trust
		rm /root/basicstation/examples/corecell/lns-ttn/tc.key
		rm /root/basicstation/examples/corecell/lns-ttn/cups.trust
		rm /root/basicstation/examples/corecell/lns-ttn/cups.key
	else
    if [ "$mode" = "lns" ]
    then
      rm /root/basicstation/examples/corecell/lns-ttn/cups.trust
      rm /root/basicstation/examples/corecell/lns-ttn/cups.key
      cp /var/www/html/upload/trust.pem /root/basicstation/examples/corecell/lns-ttn/tc.trust
      cp /root/basicstation/examples/corecell/lns-ttn/token /root/basicstation/examples/corecell/lns-ttn/tc.key
    else
      rm /root/basicstation/examples/corecell/lns-ttn/tc.trust
      rm /root/basicstation/examples/corecell/lns-ttn/tc.key
      cp /var/www/html/upload/trust.pem /root/basicstation/examples/corecell/lns-ttn/cups.trust
      cp /root/basicstation/examples/corecell/lns-ttn/token /root/basicstation/examples/corecell/lns-ttn/cups.key
		fi
	fi
	sync
	/root/basicstation/examples/corecell/start-station.sh  -l /root/basicstation/examples/corecell/lns-ttn	
fi
